Unified REST APIAgent access
Programmatic Venue Setup (Model 1)
Fully automated venue setup using Privy agentic wallets. Available for: hyperliquid, hyena. Requires Privy to be configured on the server.
Authorization
ApiKeyAuth X-API-KEY<token>
In: header
Path Parameters
venue*enum<string>required
Available options:
hyperliquidhyenaRequest Body
application/json
privy_wallet_id*stringrequired
Your Privy wallet ID
wallet_address*stringrequired
Your main wallet address
Response Body
application/json
curl -X POST "https://api.hypereth.io/v2/account/venues/hyperliquid/setup" \ -H "Content-Type: application/json" \ -d '{ "privy_wallet_id": "string", "wallet_address": "string" }'{
"venue": "hyperliquid",
"status": "active",
"wallet_address": "0x5555555555555555555555555555555555555555",
"expires_at": "2026-04-17T15:30:00Z"
}Empty
Empty
Empty
Delete Venue Credentials DELETE
Remove a venue and its credentials. Behavior varies by model: - Model 1: calls revokeAgent via Privy, then deletes credentials - Model 2: deletes stored keypair (user should also revoke in venue UI) - Model 3: deletes stored credentials
Prepare Venue Setup (Model 2) POST
Generate a keypair for the venue. The user must then register the address/key in the venue's web UI before calling confirm. Available for: aster, paradex, grvt.